<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php 
require_once("../includes/permissao.php");
/*
// tem que ser funcion�rio de escola
inibeAcesso("escola");
*/
// inclui funcoes escritas em php
include '../includes/functions.php';
include '../includes/functions2.php';

// Efetua Conexao ao Banco

include "../includes/begin.php";
pg_set_client_encoding($dbh, UTF8);

$usuario = pg_escape_string($_SESSION['f_usuario']);

// Inicializa os dados dos alunos

$codTurma = getValuePost('cod_turma');
$codEscola = getValuePost('cod_escola');
$qtdAlunos = getValuePost('qtd_alunos');

for($i = 1; $i <= $qtdAlunos; $i++)
{
	$flag_insere[$i] = getValuePost('insere_'.$i);

	if($flag_insere[$i] == '') $flag_insere[$i] = false;
	else $flag_insere[$i] = true;

	$codAluno[$i] = getValuePost('codaluno_'.$i);
}

// Valida dados recebidos

/*
if($qtdAlunos > 30)
{
	//faz algo
}
*/

//	Verifica se algum aluno sera inserido

$sql = '';
for($i = 1; $i <= $qtdAlunos; $i++)
{
	if($flag_insere[$i])
	{
		$sql .= 'INSERT INTO "mat_turmaAluno"
				(
					codescola, 
					codaluno, 
					dtinicio, 
					dtresultado, 
					codturma
				)
				VALUES
				(
					'.$codEscola.',
					'.$codAluno[$i].',
					'.'\''.date('d-m-Y').'\''.',
					null,
					'.$codTurma.'
				);';
	}
}

//echo $sql;exit;

if($sql != '')
{
	$result = executaQuery($dbh, $sql);
	if(!$result)
	{
		die("N�o foi possivel inserir os alunos na turma! Favor contatar o administrador!");
	}
}

?>
<script type="text/javascript">
window.close();
if (window.opener && !window.opener.closed) {
window.opener.location.reload();
} 
</script>